## org.eclipse.datatools.connectivity.ui
Class PasswordTextPropertyDescriptor

    java.lang.Object
      org.eclipse.ui.views.properties.PropertyDescriptor
          org.eclipse.ui.views.properties.TextPropertyDescriptor
              org.eclipse.datatools.connectivity.ui.PasswordTextPropertyDescriptor

All Implemented Interfaces:
  org.eclipse.ui.views.properties.IPropertyDescriptor

    public class PasswordTextPropertyDescriptor

extends org.eclipse.ui.views.properties.TextPropertyDescriptor

Author:
  brianf

Constructor Summary
`PasswordTextPropertyDescriptor()`
`PasswordTextPropertyDescriptor(java.lang.Object id, java.lang.String displayName)`

Method Summary
`org.eclipse.jface.viewers.CellEditor` `createPropertyEditor(org.eclipse.swt.widgets.Composite parent)`

Methods inherited from class org.eclipse.ui.views.properties.PropertyDescriptor
`getCategory, getDescription, getDisplayName, getFilterFlags, getHelpContextIds, getId, getLabelProvider, isCompatibleWith, isLabelProviderSet, setAlwaysIncompatible, setCategory, setDescription, setFilterFlags, setHelpContextIds, setLabelProvider, setValidator`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PasswordTextPropertyDescriptor

    public PasswordTextPropertyDescriptor()

### PasswordTextPropertyDescriptor

    public PasswordTextPropertyDescriptor(java.lang.Object id,
                                          java.lang.String displayName)

Parameters:
  `id` -
  `displayName` -

Method Detail

### createPropertyEditor

    public org.eclipse.jface.viewers.CellEditor createPropertyEditor(org.eclipse.swt.widgets.Composite parent)

  Specified by:
    `createPropertyEditor` in interface `org.eclipse.ui.views.properties.IPropertyDescriptor`
  Overrides:
    `createPropertyEditor` in class `org.eclipse.ui.views.properties.TextPropertyDescriptor`